'use strict';

/**
 * 标准项目节业务逻辑
 *
 * @author Mai
 * @date 2018/3/13
 * @version
 */

const StandardLib = require('./standard_lib');
module.exports = app => {

    class StdChapter extends StandardLib {

        /**
         * 构造函数
         *
         * @param {Object} ctx - egg全局变量
         * @return {void}
         */
        constructor(ctx) {
            super(ctx, 'project_chapter');
            this.dataId = 'chapter_id';
            this.stdType = 'chapter';
        }

    }

    return StdChapter;
};